Your message dated Sun, 11 Mar 2018 19:21:58 +0000
with message-id <e1ev6xe-000bud...@fasolo.debian.org>
and subject line Bug#892576: fixed in terminado 0.8.1-2
has caused the Debian Bug report #892576,
regarding python3-terminado: misnamed egg-info
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
892576: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=892576
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: python3-terminado
Version: 0.8.1-1
Severity: important

The 0.8.1-1 .deb contains "/usr/lib/python3/dist-packages/terminado-.egg-info"
instead of "/usr/lib/python3/dist-packages/terminado-0.8.1.egg-info", causing
for example this error:

    $ pex
    Traceback (most recent call last):
      File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 
2645, in version
        return self._version
      File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 
2731, in __getattr__
        raise AttributeError(attr)
    AttributeError: _version

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/usr/bin/pex", line 11, in <module>
        load_entry_point('pex==1.1.14', 'console_scripts', 'pex')()
      File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 
572, in load_entry_point
        return get_distribution(dist).load_entry_point(group, name)
      File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 
2755, in load_entry_point
        return ep.load()
      File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 
2408, in load
        return self.resolve()
      File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 
2414, in resolve
        module = __import__(self.module_name, fromlist=['__name__'], level=0)
      File "/usr/lib/python3/dist-packages/pex/bin/pex.py", line 31, in <module>
        from pex.requirements import requirements_from_file
      File "/usr/lib/python3/dist-packages/pex/requirements.py", line 6, in 
<module>
        from .resolvable import Resolvable
      File "/usr/lib/python3/dist-packages/pex/resolvable.py", line 15, in 
<module>
        from .resolver_options import ResolverOptionsBuilder, 
ResolverOptionsInterface
      File "/usr/lib/python3/dist-packages/pex/resolver_options.py", line 15, 
in <module>
        from .translator import ChainedTranslator, EggTranslator, 
SourceTranslator, WheelTranslator
      File "/usr/lib/python3/dist-packages/pex/translator.py", line 54, in 
<module>
        class SourceTranslator(TranslatorBase):
      File "/usr/lib/python3/dist-packages/pex/translator.py", line 73, in 
SourceTranslator
        interpreter=PythonInterpreter.get(),
      File "/usr/lib/python3/dist-packages/pex/interpreter.py", line 206, in get
        return cls.from_binary(sys.executable)
      File "/usr/lib/python3/dist-packages/pex/interpreter.py", line 274, in 
from_binary
        cls.CACHE[binary] = cls._from_binary_internal(path_extras)
      File "/usr/lib/python3/dist-packages/pex/interpreter.py", line 232, in 
_from_binary_internal
        return cls(sys.executable, PythonIdentity.get(), dict(iter_extras()))
      File "/usr/lib/python3/dist-packages/pex/interpreter.py", line 230, in 
iter_extras
        if dist.version:
      File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 
2650, in version
        raise ValueError(tmpl % self.PKG_INFO, self)
    ValueError: ("Missing 'Version:' header and/or PKG-INFO file", terminado 
[unknown version] (/usr/lib/python3/dist-packages))

-- System Information:
Debian Release: buster/sid
  APT prefers testing
  APT policy: (980, 'testing'), (980, 'stable'), (500, 'unstable-debug'), (500, 
'testing-debug'), (500, 'unstable'), (500, 'stable'), (200, 'experimental'), 
(1, 'experimental-debug')
Architecture: i386 (x86_64)
Foreign Architectures: amd64

Kernel: Linux 4.15.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=cs_CZ.UTF-8, LC_CTYPE=cs_CZ.UTF-8 (charmap=UTF-8), 
LANGUAGE=cs_CZ.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages python3-terminado depends on:
ii  python3  3.6.4-1

python3-terminado recommends no packages.

python3-terminado suggests no packages.

-- no debconf information

-- 
Tomáš Janoušek, a.k.a. Pivník, a.k.a. Liskni_si, http://work.lisk.in/

--- End Message ---
--- Begin Message ---
Source: terminado
Source-Version: 0.8.1-2

We believe that the bug you reported is fixed in the latest version of
terminado, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 892...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Puydt <julien.pu...@laposte.net> (supplier of updated terminado package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 11 Mar 2018 19:57:10 +0100
Source: terminado
Binary: python-terminado python3-terminado python-terminado-doc
Architecture: source all
Version: 0.8.1-2
Distribution: unstable
Urgency: medium
Maintainer: Debian Python Modules Team 
<python-modules-t...@lists.alioth.debian.org>
Changed-By: Julien Puydt <julien.pu...@laposte.net>
Description:
 python-terminado - Terminals served to term.js using Tornado websockets 
(Python 2)
 python-terminado-doc - Terminals served to term.js using Tornado websockets 
(documentati
 python3-terminado - Terminals served to term.js using Tornado websockets 
(Python 3)
Closes: 892576
Changes:
 terminado (0.8.1-2) unstable; urgency=medium
 .
   * Rewrite d/rules (Closes: #892576).
Checksums-Sha1:
 6221bb260a50453292d38895ac9361c7b00af63b 2412 terminado_0.8.1-2.dsc
 13bd8a75edc092ac09b89c79f4d36f4e5eac5a87 3252 terminado_0.8.1-2.debian.tar.xz
 15bcdd46e8150c11c9547c4b9fe216bec1665d8e 20908 
python-terminado-doc_0.8.1-2_all.deb
 dbca833bc357e7ef1cd9398c67bb84b66d63affa 8828 python-terminado_0.8.1-2_all.deb
 61a1d37a3df932f1a6a6670045a62a3e0f74a4fd 8876 python3-terminado_0.8.1-2_all.deb
 6f3d4954f7fd8bf7bc0965e3c68339b784369e84 7900 terminado_0.8.1-2_amd64.buildinfo
Checksums-Sha256:
 c9be5f084d4c0a70e5df19392ea2a5e6d2d85b3206dbedbec741b8d50418fb08 2412 
terminado_0.8.1-2.dsc
 1dd4ea9c42fdcde44ea3679eb91c32caa0d14951ed63f15e67049b20c8ef586d 3252 
terminado_0.8.1-2.debian.tar.xz
 4b377c7a27b5514edf4a8b3eccdf1a3bc969d2948a0d42fb77aea1dbcc9bf63d 20908 
python-terminado-doc_0.8.1-2_all.deb
 3013f6d0edcd239fe74a2186023ef47e807f636d32b2b00ff452cd797d6483a9 8828 
python-terminado_0.8.1-2_all.deb
 851592226a17be437a8bd52444fbebda9e16cd9c1ffc760f2472faaeaaf77f09 8876 
python3-terminado_0.8.1-2_all.deb
 8d74ee4d580f6e5bd9935d0fd0be31a360615c807af32774c258b6ea54c2be75 7900 
terminado_0.8.1-2_amd64.buildinfo
Files:
 eb5284926f10cc643d3d4d6de6f9e50c 2412 python optional terminado_0.8.1-2.dsc
 9ebd6cab582241999b94f31e818e053f 3252 python optional 
terminado_0.8.1-2.debian.tar.xz
 a1e68ff8cbd098702a215cfc8860b9d2 20908 doc optional 
python-terminado-doc_0.8.1-2_all.deb
 4745123e4dff18ab7256cd5627510a86 8828 python optional 
python-terminado_0.8.1-2_all.deb
 7837bee8bfd9669e5422c1dcee3d953f 8876 python optional 
python3-terminado_0.8.1-2_all.deb
 877fb956222f0daf6f1ae11d6f183848 7900 python optional 
terminado_0.8.1-2_amd64.buildinfo

-----BEGIN PGP SIGNATURE-----

iQJNBAEBCgA3FiEEgS7v2KP7pKzk3xFLBMU71/4DBVEFAlqlfH0ZHGp1bGllbi5w
dXlkdEBsYXBvc3RlLm5ldAAKCRAExTvX/gMFUep9D/4hDBy9d8deTZzlCXXQOFnj
ltOfsCNTPdbrHIaymO4i21VpshxIoXbNzZwbrR9sgY6GbB9gy69DKTVREXL2JDE3
dQ4GPslSlLYYnFqeJsbkm0BSJgShXqwuaUsqz62hrxMVQDreaSB1jAZ+k0s80/yY
2eznqGRZVdxykGfplnVq7OYBsTAT4aMFcof7Waf9onR2qtYZuYKo6uJjrR4MLlLU
2awA5wpVRofVuvMdSztpQTLyY/9BW3nQsMQ/7YjWvzmPx5H3k7V/OtGtjsxEL9e0
eC3Lf6quZ1YgtvnPuXfFb8znklP3FDUCgy10QPn6v7gMAO6kbps78nWBU9LrCAYx
dm1vLXKIXCo24/EakaA/IJLgB0gTcZz8tm6FEn1KhZLTzjMqrgvKejIkM+JpTkQS
BqLGAH/DVraIv2nWQRdxxd1ZlCMeoiyK3QYu68zMxf65ziziknNTGWdyGjWclxBj
XJVeYS/LEWwLBXVBaiFjYNrXkGEAzDsiw5O/HGsUZ399Gxv8McvddrsJMyj+ri6f
7mtTFsWXZ9KUkPsxVHv6glI8AoVHcSAqPqjR4/YO5jEqTuozBg7etyhLvWuYxV57
JN2bZPkM3EdvDHvItCtLE/NrborQ4fKaFGiN6rQ0BWsJKOfVQaIYx+HjLn2VywpU
Ssqf1X28TrmHxKdLPiUiig==
=sTnB
-----END PGP SIGNATURE-----

--- End Message ---

Reply via email to